Subject: Re: Wakeup broken on iBook G3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 21 Mar 2005 14:59:48 +1100

On Sun, 2005-03-20 at 18:19 +0100, Andreas Schwab wrote:
> Ever since the massive changes to the radeonfb pm code I've never been
> able to get a working wakeup on my iBook G3.  The screen keeps blank after
> wakeup, I hear the cdrom drive being reset, and then the system crashes
> hard.

What video chip is this ? And what CPU ? Are you sure it's the radeonfb
patch ? There have been other changes to the system PM code
approximately at the same time. The "massive" PM change didn't really
change what was done to the vidoe chip on older models (mostly _added_
new code, totally separate, for new models). I suspect for example a
problem with the cache flush code in pmac_cache.S on some G3 CPUs ...

There is also an old problem with AGP and sleep that is coming & going
lately. Can you check if it works if you never go to X ? (That is boot
in console mode, do not ever launch X, launching X and quitting X breaks
the test I want you to do, then suspend/resume).

Ben.